## org.apache.poi.hdgf.chunks
Class Chunk.Command

    java.lang.Object
      org.apache.poi.hdgf.chunks.Chunk.Command

Direct Known Subclasses:
  Chunk.BlockOffsetCommand

Enclosing class:
  Chunk

    public static class Chunk.Command

extends java.lang.Object

A command in the visio file. In order to make things fun, all the chunk actually stores is the value of the command. You have to have your own lookup table to figure out what the commands are based on the chunk type.

Field Summary
`protected java.lang.Object` `value`

Method Summary
`ChunkFactory.CommandDefinition` `getDefinition()`
`java.lang.Object` `getValue()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### value

    protected java.lang.Object value

Method Detail

### getDefinition

    public ChunkFactory.CommandDefinition getDefinition()

### getValue

    public java.lang.Object getValue()

Copyright 2012 The Apache Software Foundation or its licensors, as applicable.